Remove unused input parameters for upload-artifacts

Currently, we pass parameters for expiring the artifacts for the
deployment but we don't use them in swiftless architecture. Also other
parameters like BIND_PORT and BIND_ADDRESS.

This patch removes all the unused parameters in upload-artifacts.

Change-Id: If04de938d14c30d8aedf3157bcbc0a8845c5d532
Signed-off-by: Purandhar Sairam Mannidi <pmannidi@redhat.com>
This commit is contained in:
Purandhar Sairam Mannidi 2021-09-10 13:06:23 +10:00
parent 03abc41cac
commit 60a2c347f2
2 changed files with 3 additions and 14 deletions

View File

@ -33,8 +33,6 @@ function show_options {
echo " Default: overcloud-artifacts"
echo " --environment <env> -- Generate this heat <env>"
echo " Default: $HOME/.tripleo/environments/deployment-artifacts.yaml"
echo " --seconds <seconds> -- Number of seconds for temp URLs."
echo " Default: 31536000 (one year)"
echo
echo "Upload a set of files to Artifact and generate a Heat environment"
echo "file containing the required DeployArtifactURLs parameter(s) "
@ -68,7 +66,7 @@ function check_file {
}
TEMP=`getopt -o he:f:c:s: -l help,environment:,file:,container:,seconds: -n $SCRIPT_NAME -- "$@"`
TEMP=`getopt -o he:f:c: -l help,environment:,file:,container: -n $SCRIPT_NAME -- "$@"`
if [ $? != 0 ]; then
echo "Terminating..." >&2
exit 1
@ -80,9 +78,6 @@ eval set -- "$TEMP"
ENVIRONMENT_FILE="$HOME/.tripleo/environments/deployment-artifacts.yaml"
FILES=
CONTAINER_NAME=overcloud-artifacts
SECONDS=31536000
BINDPORT="${BINDPORT:-8080}"
BINDADDRESS=$(ip addr show dev br-ctlplane | awk -F'\\s|/' '/inet\s/ {print $6}' | head -n 1)
while true ; do
case "$1" in
@ -90,7 +85,6 @@ while true ; do
-e|--environment) ENVIRONMENT_FILE=$2 ; shift 2;;
-f|--file) FILES+=" $2" ; shift 2;;
-c|--container) CONTAINER_NAME=$2 ; shift 2;;
-s|--seconds) SECONDS=$2 ; shift 2;;
--) shift ; break;;
*) echo "Error: unsupported option $1." ; exit 1;;
esac

View File

@ -38,8 +38,6 @@ function show_options {
echo " Default: overcloud-artifacts"
echo " --environment <env> -- Generate this heat <env>"
echo " Default: $HOME/.tripleo/environments/puppet-modules-url.yaml"
echo " --seconds <seconds> -- Number of seconds for temp URL."
echo " Default: 31536000 (one year)"
echo
echo "Upload a directory tarball of puppet modules to a artifact container"
echo "and generate a heat environment file containing the required"
@ -48,7 +46,7 @@ function show_options {
exit $1
}
TEMP=`getopt -o h:ed:c:s: -l help,environment:,directory:,container:,seconds: -n $SCRIPT_NAME -- "$@"`
TEMP=`getopt -o h:ed:c: -l help,environment:,directory:,container: -n $SCRIPT_NAME -- "$@"`
if [ $? != 0 ]; then
echo "Terminating..." >&2
exit 1
@ -60,7 +58,6 @@ eval set -- "$TEMP"
ENVIRONMENT_FILE="$HOME/.tripleo/environments/puppet-modules-url.yaml"
MODULES_DIRECTORY=
CONTAINER_NAME=overcloud-artifacts
SECONDS=31536000
while true ; do
case "$1" in
@ -68,7 +65,6 @@ while true ; do
-e|--environment) ENVIRONMENT_FILE=$2 ; shift 2;;
-d|--directory) MODULES_DIRECTORY=$2 ; shift 2;;
-c|--container) CONTAINER_NAME=$2 ; shift 2;;
-s|--seconds) SECONDS=$2 ; shift 2;;
--) shift ; break;;
*) echo "Error: unsupported option $1." ; exit 1;;
esac
@ -89,5 +85,4 @@ echo "Tarball created."
upload-artifacts -f "$PUPPET_MODULES_TMP/puppet-modules.tar.gz" \
-c "$CONTAINER_NAME" \
--environment "$ENVIRONMENT_FILE" \
--seconds "$SECONDS"
--environment "$ENVIRONMENT_FILE"